### Function

# AppStreamCompose globals_add_hint_tag

#### Declaration [src]

    gboolean
    asc_globals_add_hint_tag (
      const gchar* tag,
      AsIssueSeverity severity,
      const gchar* explanation,
      gboolean overrideExisting
    )

#### Description [src]

Register a new hint tag. If a previous tag with the given name already existed, the existing tag will not be replaced unless `overrideExisting` is set to `TRUE`. Please be careful when overriding tags! Tag severities can not be lowered by overriding a tag.

#### Parameters

`tag`

  Type: `const gchar*`

  The tag-ID to add.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`severity`

  Type: `AsIssueSeverity`

  The tag severity as `AsIssueSeverity`.

`explanation`

  Type: `const gchar*`

  The tag explanatory message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`overrideExisting`

  Type: `gboolean`

  Whether an existing tag should be replaced.

#### Return value

Type: `gboolean`

`TRUE` if the tag was registered and did not exist previously.